> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update EV battery capacity

> Update the EV battery capacity of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml patch /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity:
    patch:
      tags:
        - Vehicles
      summary: Update EV battery capacity
      description: Update the EV battery capacity of the specified vehicle
      operationId: updateBatteryCapacity
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: >-
            The two-letter country code of the asset provider the vehicle
            belongs to
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicle belongs
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
      requestBody:
        required: true
        description: New EV battery capacity in kWh
        content:
          application/json:
            schema:
              type: object
              required:
                - evBatteryCapacity
              properties:
                evBatteryCapacity:
                  type: number
                  format: float
                  description: EV battery capacity in kWh
      responses:
        '200':
          description: Updated vehicle information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleInformation'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    VehicleInformation:
      type: object
      required:
        - vin
      properties:
        vin:
          type: string
          example: 0F0EAATTRBPC3CDBB
        vendor:
          type: string
          example: BMW
        model:
          type: string
          example: Zoe
        variant:
          type: string
          example: Long Range
        licensePlate:
          type: string
          example: W-53A
        fuelType:
          type: string
          enum:
            - DIESEL
            - REGULAR
            - PLUS
            - ELECTRIC
            - HYBRID
            - PLUGINHYBRID
        seats:
          type: integer
          example: 5
        gear:
          type: string
          enum:
            - Manual
            - Automatic
            - SemiAutomatic
        firstRegistrationDate:
          type: string
          format: date
          example: '2023-08-17'
        buildYear:
          type: integer
          example: 2023
        evBatteryCapacity:
          type: number
          format: double
          description: Capacity of the EV battery in kWh
          example: 10.4
        iceTankCapacity:
          type: number
          format: double
          description: Capacity of the ICE fuel tank in liters
          example: 10.4
        trackGeolocation:
          type: boolean
          description: Describes whether geolocation tracking is active or not
        autoLogbookType:
          $ref: '#/components/schemas/TripType'
          description: >-
            Default logbook entry type for new entries when auto-logbook is
            enabled. Null means auto-logbook is off
    TripType:
      type: string
      description: Type of trip
      enum:
        - Business
        - Private
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````